Skip to main content
GET
/
payment_intents
List PaymentIntents
curl --request GET \
  --url https://sandbox.api.hixbe.com/payment/payment_intents \
  --header 'Authorization: Bearer <token>' \
  --header 'Hixbe-Version: <hixbe-version>'
{
  "object": "list",
  "data": [
    {
      "id": "pi_1Hh1X2AbCdEf",
      "amount": 1500,
      "currency": "BDT",
      "status": "requires_payment_method",
      "client_secret": "cs_test_abc",
      "object": "payment_intent",
      "capture_method": "automatic",
      "customer": "cus_123",
      "payment_method": "pm_card_abc",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "charges": [
        {
          "id": "ch_1Hh2Z3AbCdEf",
          "amount": 1500,
          "currency": "BDT",
          "status": "succeeded",
          "payment_method": "<string>",
          "receipt_url": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use your secret API key. Example: Authorization: Bearer sk_test_xxx

Headers

Hixbe-Version
string
default:2026-01-01
required

API version header. Use '2026-01-01' for the latest version.

Query Parameters

limit
integer
default:20

Max results to return

Required range: x <= 100
starting_after
string

Cursor for pagination

Response

List of PaymentIntents

object
string
Example:

"list"

data
object[]
has_more
boolean
next_cursor
string | null